<?php
return array
(
    'name' => '平台加解密',
    'order' => 'id asc',
    'struct' => array
    (
        'platform_id' => array
        (
            'name'      => '平台id',
            'type'      => 'int(11)',
        ),

        'name' => array
        (
            'name'      => '名称',
            'type'      => 'varchar(50)',
        ),

        'type' => array
        (
            'name'      => '算法',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '非对称',
                2 => '对称',
                3 => '签名',
            ),
        ),

        'cipher_algo' => array
        (
            'name'      => '密码学方式',
            'type'      => 'varchar(50)',
        ),

        'option' => array
        (
            'name'      => '填充模式',
            'type'      => 'varchar(30)',
            'default'   => 'OPENSSL_NO_PADDING',
        ),

        # 对称加密特有
        'iv' => array
        (
            'name'      => '初始化向量',
            'type'      => 'varchar(50)',
        ),

        'tag' => array
        (
            'name'      => '验证标签',
            'type'      => 'varchar(50)',
        ),

        'tag_len' => array
        (
            'name'      => '标签长度',
            'type'      => 'tinyint(1)',
            'default'   => '16',
        ),

        'aad' => array
        (
            'name'      => '附加验证数据',
            'type'      => 'varchar(50)',
        ),

        'after' => array
        (
            'name'      => '数据处理',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '不处理',
                2 => '转base64',
            ),
        ),

        'encrypt_cert_type' => array
        (
            'name'      => '加密密钥类型',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '公钥',
                2 => '私钥',
                3 => '文本',
            ),
        ),

        'encrypt_cert' => array
        (
            'name'      => '加密密钥文本',
            'type'      => 'varchar(50)',
        ),

        'encrypt_cert_id' => array
        (
            'name'      => '加密证书',
            'type'      => 'int(11)',
        ),

        'decrypt_cert_type' => array
        (
            'name'      => '解密密钥类型',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '公钥',
                2 => '私钥',
                3 => '文本',
            ),
        ),

        'decrypt_cert' => array
        (
            'name'      => '解密密钥文本',
            'type'      => 'varchar(50)',
        ),

        'decrypt_cert_id' => array
        (
            'name'      => '解密证书',
            'type'      => 'int(11)',
        ),
    ),
);