<?php namespace Api\Lib;
use Dever;
class Sku
{
    # 获取价格
    public function getPrice($where, $spec_type, $score, $app)
    {
        $result = array();
        $result['value'] = 0;
        $result['text'] = '免费';
        $result['spec'] = array();
        $result['list'] = array();
        if ($spec_type == 2) {
            $where['key'] = '-1';
            $sku = Dever::db('sku', $app)->find($where);
            if ($sku) {
                $result['value'] = $sku['price'];
                $result['text'] = $sku['price'] . $score;
            }
        } elseif ($spec_type == 3) {
            $sku = Dever::db('sku', $app)->select($where, array('order' => 'price asc,id desc'));
            if ($sku) {
                $min = $sku[0];
                #$max = $sku[count($sku)-1];
                $result['value'] = $min['price'];
                $result['text'] = $min['price'] . $score;
                $result['spec'] = Dever::load('spec', 'api')->getList($app, $where);
                foreach ($sku as $k => $v) {
                    $t = array();
                    $k = $v['key'];
                    $t['pic'] = $v['pic'];
                    $t['value'] = $v['price'];
                    $t['text'] = $v['price'] . $score;
                    $result['list'][$k] = $t;
                }
            }
        }
        return $result;
    }

    # 获取某个sku的名称
    public function getName($key, $app)
    {
        $where['id'] = array('in', $key);
        $data = Dever::db('spec_value', $app)->kv($where);
    }
}